%define name prokyon3
%define version 0.9.4
%define release %mkrel 4

Summary:   	An MP3/Ogg manager and tag editor
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
Source0:    	%{name}-%{version}.tar.bz2
Source1:   	%{name}_16.png.bz2
Source2:   	%{name}_32.png.bz2
Source3:   	%{name}_48.png.bz2
Patch0:		%{name}-%{version}-nl.po-patch.bz2
Patch1:     prokyon3-0.9.4.cpp.patch
Group: 	   	Sound
License:   	GPL
URL:       	http://%{name}.sourceforge.net/
Buildroot: 	%{_tmppath}/%{name}-buildroot
Requires:	MySQL-Max
Requires:	cdrecord
Requires:	mpg123
Requires:	normalize
Requires:	vorbis-tools
BuildRequires:	X11-devel
BuildRequires:	gettext-devel
BuildRequires:	libid3-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmysql-devel
BuildRequires:	libogg-devel
BuildRequires:	qt3-devel
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel
BuildRequires:  musicbrainz-devel
BuildRequires:  mad-devel
BuildRequires:  libflac++-devel

%description
Prokyon3 is a multithreaded MP3/Ogg manager and tag editor for Linux.
It was written in C++ using the Qt3 widget set and the MySQL database.
Prokyon3 can access MP3 files on harddisk, CDROM, SMB and NFS. 

Files can be played  using XMMS and can even be played when the
files are on CD as prokyon3 identifies CDs by content. 

The files view is customizable and favourite artists as well as sampler
soundtracks are supported. Prokyon3 also offers an editor for ID3 tags
and has been designed to support tagging for multiple files en masse.

Prokyon3 key features are:

     * multithreaded                                              
     * manages files on harddisk/CDROM or over network        
     * search the database by artist, song, album, filename...	  
     * very comfortable editor for ID3 tags			  
     * manages favorite artists and sampler/soundtracks                                  
     * plays and enqueues MP3 files with XMMS or any other player           
     * uses MySQL as database back end
     * configuration editor and database wizard
     * access files over SMB and NFS                
     * play-list editor                                            
     * support for Ogg/Vorbis

%prep
%setup -q
%patch0 -p1 -b .nl-fix
%patch1 -p0 -b .cpp-fix

%build
[ -f "/usr/bin/moc" ] || export PATH="${PATH}:%_libdir/qt3/bin"

%configure --with-qtdir="%_prefix/lib/qt3" --with-qt-libs="%_prefix/lib/qt3/%_lib"

%make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall

%find_lang %{name}

# Icons
install -d ${RPM_BUILD_ROOT}{%_miconsdir,%_liconsdir}
bzcat %{SOURCE1} > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

# Install menu entry
install -d ${RPM_BUILD_ROOT}%{_menudir}

cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): needs="x11" \\
		   section="Multimedia/Sound" \\
		   longtitle="%{summary}" \\
		   title="Prokyon3" \\
		   icon="%{name}.png" \\
		   command="%{_bindir}/%{name}" \\
           xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Prokyon3
Comment=%{summary}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;X-MandrivaLinux-Multimedia-Sound
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING INSTALL NEWS README

%{_bindir}/%{name}
%{_bindir}/prokburn

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*.png

%dir %{_datadir}/%{name}/html/
%dir %{_datadir}/%{name}/html/manual_one_file/
%{_datadir}/%{name}/html/manual_one_file/index.html
%{_datadir}/%{name}/html/manual_one_file/index_fr.html

%dir %{_datadir}/%{name}/html/manual_one_file/images/
%dir %{_datadir}/%{name}/html/manual_one_file/images/docbook/
%{_datadir}/%{name}/html/manual_one_file/images/docbook/*.png

%{_datadir}/applications/mandriva-%{name}.desktop
%{_menudir}/%{name}

%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/08/06 00:03:17 (54298)
- patch1: cpp fix
- xdg menu
- lib(64) fixes

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 23:36:06 (54282)
Import prokyon3

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.4-3mdk
- Fix BuildRequires

* Tue Apr 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.4-2mdk
- Fix BuildRequires

* Wed Nov 16 2005 Lenny Cartier <lenny@mandriva.com> 0.9.4-1mdk
- 0.9.4
- regenerate patch (I speak nl now !)

* Sun Oct 02 2005 Olivier Thauvin <nanardon@mandriva.org> 0.9.2-4mdk
- port from club to cooker
- amd64 fix

* Sat Jun 11 2005 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2-3mdk
- Mdk 10.2 build.

* Sat Oct 18 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2-2mdk
- Mdk 9.2 build.

* Sun Oct 12 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2-1mdk
- 0.9.2 final

* Sat Sep 20 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-5mdk
- Requires mpg123 (prokburn script).

* Fri Sep 19 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-4mdk
- More nl translation updates.

* Fri Sep 19 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-3mdk
- Reworked nl translation.

* Wed Sep 17 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-2mdk
- Patched nl translation to fix bug.

* Mon Sep 15 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC2-1mdk
- 0.9.2RC2

* Sat Sep 06 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.2_RC1-1mdk
- 0.9.2RC1
- Removed mysql script.

* Tue Sep 02 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-5mdk
- Requires libqt3-mysql.

* Wed Aug 27 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-4mdk
- MySQL commands in post.

* Tue Aug 26 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-3mdk
- Removed dependancies on libGLcore.so.1.

* Mon Aug 25 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-2mdk
- Fixed doc menu entry.

* Sat Aug 23 2003 Maxim Heijndijk <cchq@wanadoo.nl> 0.9.1_r1-1mdk
- Initial wrap.

